## pysolfc 2.0

=== Makefile ===
# Makefile for PySolFC

override LANG=C
override PYSOL_DEBUG=1

PYSOLLIB_FILES=pysollib/tk/*.py pysollib/tile/*.py pysollib/*.py \
	pysollib/games/*.py pysollib/games/special/*.py \
	pysollib/games/ultra/*.py pysollib/games/mahjongg/*.py

.PHONY : install dist all_games_html rules pot mo

install:
	python setup.py install

dist: all_games_html rules mo
	python setup.py sdist

rpm: all_games_html rules mo
	python setup.py bdist_rpm

all_games_html:
	./scripts/all_games.py > docs/all_games.html

rules:
	(cd html-src && ./gen-html.py)
	cp -r html-src/images html-src/html
	rm -rf data/html
	mv html-src/html data

pot:
	./scripts/all_games.py gettext > po/games.pot
	./scripts/pygettext.py -k n_ --ngettext-keyword ungettext -o po/pysol-1.pot $(PYSOLLIB_FILES)
	xgettext -L C --keyword=N_ -o po/pysol-2.pot data/glade-translations
	msgcat po/pysol-1.pot po/pysol-2.pot > po/pysol.pot
	rm -f po/pysol-1.pot po/pysol-2.pot
	for lng in ru; do \
		mv -f po/$${lng}_pysol.po po/$${lng}_pysol.old.po; \
		msgmerge po/$${lng}_pysol.old.po po/pysol.pot > po/$${lng}_pysol.po; \
		rm -f po/$${lng}_pysol.old.po; \
		mv -f po/$${lng}_games.po po/$${lng}_games.old.po; \
		msgmerge po/$${lng}_games.old.po po/games.pot > po/$${lng}_games.po; \
		rm -f po/$${lng}_games.old.po; \
	done

mo:
	test -d locale/ru/LC_MESSAGES || mkdir -p locale/ru/LC_MESSAGES
	test -d locale/ru_RU/LC_MESSAGES || mkdir -p locale/ru_RU/LC_MESSAGES
	msgcat po/ru_games.po po/ru_pysol.po > po/ru.po 2>/dev/null
	msgfmt -o locale/ru/LC_MESSAGES/pysol.mo po/ru.po
	cp -f locale/ru/LC_MESSAGES/pysol.mo locale/ru_RU/LC_MESSAGES/pysol.mo

=== debian/changelog ===
pysolfc (2.0-4) unstable; urgency=low

  [ Hugo Lefeuvre ]
  * debian/control:
    - Add Hugo Lefeuvre as uploader (Closes: #767603).
    - Bump Standards-Version to 3.9.7.
    - Update Vcs-Git and Vcs-Browser fields to use an encrypted
      transport protocol.
    - Add a dependency on dh-python.
  * debian/copyright:
    - Add a copyright entry for Hugo Lefeuvre.
  * debian/patches/desktop:
    - Add a Keyword entry to make it freedesktop compliant.

  [ Bernhard Reiter ]
  * debian/control:
    - s/freecell-solver/freecell-solver-bin/.
    - Ran wrap-and-sort -sa.
  * debian/menu: Add longtitle and icon fields (Closes: #726857).

  [ Markus Koschany ]
  * Remove Bernhard Reiter from Uploaders at his own request.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 3 Apr 2016 15:07:56 +0200

pysolfc (2.0-3) unstable; urgency=low

  * debian/copyright:
    - Change Format from DEP-5 to copyright-format/1.0 link.
    - Point to GFDL-1.3 instead of just GFDL.
  * debian/control:
    - Remove Replaces: and Conflicts: lines as those packages aren't in
      Debian anymore.
    - Remove X-Python-Version line.
    - Switch to canonical Vcs-* fields.
    - Bump Standards-Version to 3.9.4.
    - Bump debhelper Build-Depends to >= 9.
  * debian/compat: Bump to 9.
  * debian/control, debian/rules:
    - Drop transitional pysol package now that wheezy is out.
  * debian/rules:
    - Fix order of arguments for the dh command.
    - Delete COPYRIGHT files in the override_dh_auto_install (instead of the
      override_dh_auto_install) section.
  * debian/pysolfc.install: Remove.
  * debian/patches/pillow, debian/patches/series: Fix PIL imports for pillow
    compatibility -- see 5117D0B7.801@debian.org (LP: 1160571).

 -- Bernhard Reiter <ockham@raz.or.at>  Wed, 17 Apr 2013 08:10:25 +0200

pysolfc (2.0-2) unstable; urgency=low

  * Remove python-gnome2 dependency.

 -- Bernhard Reiter <ockham@raz.or.at>  Sun, 01 Jan 2012 21:58:23 +0100

pysolfc (2.0-1) unstable; urgency=low

  * First Debian release (Closes: #519752).
  * debian/changelog:
    - Moved Debian bug number from initial changelog entry to this one.
    - Forgot to add a colon after "LP" in the inital changelog entry.
  * debian/control:
    - Replace "Build-Depends-Indep: python (>= 2.6.6-3~)" with
      "Build-Depends: python-all (>= 2.6.6-3~)"
    - Recommends: s/python-imaging/python-imaging-tk/ (LP: #716403).
    - Add pysol transitional binary package.
    - Move python-pygame from Recommends to Depends.
    - Add Vcs-Git and Vcs-Browser
    - Amend Replaces and Conflicts fields.
    - Bump Standards-Version to 3.9.2 (no changes needed).
    - Make Debian Games Team the Maintainer, and myself an Uploader.
  * debian/copyright:
    - Add more copyright holders.
    - Annotate cardsets entries with comments of their origins.
    - Minor updates for current DEP-5 revision.
  * debian/gbp.conf: Create.
  * debian/rules:
    - Add override_dh_gencontrol section with some epoch magic
      to ensure proper upgrade path from pysol.
    - Exclude COPYRIGHT files in individual cardset directories
      from installation.
  * Migrate from python-support to dh_python2.
    debian/control:
    - Remove python-support from Build-Depends.
    - Build-Depend on python (>= 2.6.6-3~) instead of (>= 2.4)
    - s/XS-Python-Version/X-Python-Version/
    debian/rules:
    - Add '--with python2' after 'dh'
  * debian/patches/*: Remove # in front of comments.
  * debian/patches/montana, debian/patches/series: Update patch, add to series.
  * debian/patches/remove_checks_for_copyright_files, debian/patches/series:
    Remove checks for individual cardsets' COPYRIGHT files
    which we remove in order to comply with Debian policy.
  * debian/pysolfc.install: Add.

 -- Bernhard Reiter <ockham@raz.or.at>  Sat, 26 Nov 2011 19:32:47 +0100

pysolfc (2.0-0ubuntu1) lucid; urgency=low

  * Initial release (LP: #179298)

 -- Bernhard Reiter <ockham@raz.or.at>  Fri, 4 Feb 2010 16:16:38 +0100

=== debian/control ===
Source: pysolfc
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~)
Standards-Version: 3.9.7
Homepage: http://pysolfc.sourceforge.net/
Vcs-Git: https://anonscm.debian.org/git/pkg-games/pysolfc.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-games/pysolfc.git

Package: pysolfc
Architecture: all
Depends: python-configobj,
         python-pygame,
         python-tk,
         ${misc:Depends},
         ${python:Depends}
Recommends: python-imaging-tk,
            tk-tile (>= 0.8.0)
Suggests: freecell-solver-bin,
          pysolfc-cardsets
Description: collection of more than 1000 solitaire card games
 There are games that use the 52 card International Pattern deck,
 games for the 78 card Tarock deck, eight and ten suit Ganjifa games,
 Hanafuda games, Matrix games, Mahjongg games, and games for an original
 hexadecimal-based deck.
 .
 Its features include modern look and feel (uses Ttk widget set),
 multiple cardsets and tableau backgrounds, sound, unlimited undo,
 player statistics, a hint system, demo games, a solitaire wizard,
 support for user written plug-ins, an integrated HTML help browser,
 and lots of documentation.
 .
 PySolFC is a fork of PySol Solitaire.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_install:
	dh_auto_install --buildsystem=python_distutils \
			-- --install-scripts=/usr/share/games/pysolfc \
			   --install-lib /usr/share/games/pysolfc/
	find debian/pysolfc/usr/share/games/pysolfc/ -name "COPYRIGHT" -delete

override_dh_installdocs:
	dh_installdocs
	mv debian/pysolfc/usr/share/doc/pysolfc/all_games.html \
	   debian/pysolfc/usr/share/doc/pysolfc/html/

override_dh_installman:
	dh_installman
	mv debian/pysolfc/usr/share/man/man6/pysol.6 \
	   debian/pysolfc/usr/share/man/man6/pysolfc.6

=== debian/watch ===
version=3
http://sf.net/pysolfc/PySolFC-(\d.*)\.tar\.bz2

## pysolfc 2.6.4

=== Makefile ===
# Makefile for PySolFC

override LANG=C
override PYSOL_DEBUG=1

PYSOLLIB_FILES=pysollib/tk/*.py pysollib/tile/*.py pysollib/*.py \
	pysollib/games/*.py pysollib/games/special/*.py \
	pysollib/games/ultra/*.py pysollib/games/mahjongg/*.py \
	pysollib/kivy/*.py

.PHONY : all install dist all_games_html rules pot mo

all:
	@echo "No default target"

install:
	python setup.py install

dist: all_games_html rules mo
	python3 setup.py sdist

rpm: all_games_html rules mo
	python setup.py bdist_rpm

all_games_html:
	PYTHONPATH=`pwd` ./scripts/all_games.py html id doc/rules bare > docs/all_games.html

rules:
	export PYTHONPATH=`pwd`; (cd html-src && ./gen-html.py)
	cp -r html-src/images html-src/html
	rm -rf data/html
	mv html-src/html data

pot:
	PYTHONPATH=`pwd` ./scripts/all_games.py gettext > po/games.pot
	PYTHONPATH=`pwd` ./scripts/pygettext.py -k n_ --ngettext-keyword ungettext -o po/pysol-1.pot $(PYSOLLIB_FILES)
	xgettext -L C --keyword=N_ -o po/pysol-2.pot data/glade-translations
	msgcat po/pysol-1.pot po/pysol-2.pot > po/pysol.pot
	rm -f po/pysol-1.pot po/pysol-2.pot
	for lng in ru pl; do \
		mv -f po/$${lng}_pysol.po po/$${lng}_pysol.old.po; \
		msgmerge po/$${lng}_pysol.old.po po/pysol.pot > po/$${lng}_pysol.po; \
		rm -f po/$${lng}_pysol.old.po; \
		mv -f po/$${lng}_games.po po/$${lng}_games.old.po; \
		msgmerge po/$${lng}_games.old.po po/games.pot > po/$${lng}_games.po; \
		rm -f po/$${lng}_games.old.po; \
	done

mo:
	for loc in ru ru_RU de de_AT de_BE de_DE de_LU de_CH pl pl_PL it it_IT; do \
		test -d locale/$${loc}/LC_MESSAGES || mkdir -p locale/$${loc}/LC_MESSAGES; \
	done
	for lang in ru pl it; do \
		msgcat --use-first po/$${lang}_games.po po/$${lang}_pysol.po > po/$${lang}.po 2>/dev/null; \
	done
	for lang in ru de pl it; do \
		msgfmt -o locale/$${lang}/LC_MESSAGES/pysol.mo po/$${lang}.po; \
	done
	cp -f locale/ru/LC_MESSAGES/pysol.mo locale/ru_RU/LC_MESSAGES/pysol.mo
	for dir in de_AT de_BE de_DE de_LU de_CH; do \
		cp -f locale/de/LC_MESSAGES/pysol.mo locale/$${dir}/LC_MESSAGES/pysol.mo; \
	done
	cp -f locale/pl/LC_MESSAGES/pysol.mo locale/pl_PL/LC_MESSAGES/pysol.mo
	cp -f locale/it/LC_MESSAGES/pysol.mo locale/it_IT/LC_MESSAGES/pysol.mo

pretest:
	@rm -f tests/individually-importing/*.py # To avoid stray files
	python scripts/gen_individual_importing_tests.py

TEST_ENV_PATH = "`pwd`:`pwd`/tests/lib"
TEST_ENV = PYTHONPATH="$$PYTHONPATH:"$(TEST_ENV_PATH) PERL5LIB="$$PERL5LIB:"$(TEST_ENV_PATH)
TEST_FILES = tests/style/*.t tests/unit-generated/*.py tests/individually-importing/*.py

define RUN_TESTS
$(TEST_ENV) $1 $(TEST_FILES)
endef

test: pretest
	$(call RUN_TESTS,prove)

runtest: pretest
	$(call RUN_TESTS,runprove)

=== debian/changelog ===
pysolfc (2.6.4-3) unstable; urgency=medium

  * debian/patches/python3.8: Don't use the removed time.clock() anymore.
    Thanks to Matthias Klose. (Closes: #950208).
  * debian/control:
    - Add myself to Uploaders.
    - Bump Standards-Version to 4.5.0.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Sun, 16 Feb 2020 19:40:20 +0200

pysolfc (2.6.4-2) unstable; urgency=medium

  * Source-only upload.

 -- Hugo Lefeuvre <hle@debian.org>  Fri, 26 Jul 2019 14:30:10 -0300

pysolfc (2.6.4-1) unstable; urgency=medium

  * Team upload.

  [ Hugo Lefeuvre ]
  * Migrate to Python 3 (Closes: #912508).
  * debian/control:
    - Update Vcs-Git and Vcs-Browser fields (Salsa migration).
    - Multiple build-dependency changes due to the migration to Python 3 and
      documentation generation which requires several binary dependencies to
      be build dependencies as well.
  * debian/copyright:
    - Update copyright years.
    - Refresh files list and copyrights to match new upstream release.
  * debian/patches:
    - Refresh patches for new upstream release, remove merged patches.
  * Update docs list.
  * debian/rules:
    - Build translations from po.
    - Build html documentation from source.
    - Migrate to pybuild.
  * Bump watch file version to 4.

  [ Juhani Numminen ]
  * New upstream release (Closes: #919923).
    - Compatible with the current version of Python Imaging Library
      (Closes: #931851).
    - No longer crashes when there is no sound card (Closes: #781663).
  * debian/watch: Download a separate orig tarball for the minimal cardsets.
  * debian/gbp.conf:
    - Add component=cardsets to tell gbp about the new additional tarball.
    - Remove compression=bzip2, the defaults are good enough.
  * debian/clean: Clean up after localization build process, html generation,
    and test suite.
  * debian/control:
    - Update home page URL.
    - Bump Standards-Version to 4.4.0.
    - Bump compat level by depending on debhelper-compat (= 12).
    - Add python3-random2 dependency.
    - Declare Rules-Requires-Root: no.
  * debian/docs: AUTHORS is no longer in the tarball.
  * debian/patches:
    - desktop: Add Comment, Keywords, StartupWMClass for better DE integration.
    - manpage: Drop the patch, changes are incorporated upstream.
  * debian/rules:
    - It is no longer necessary to rename the manpage either.
    - Build docs/all_games.html from source.
    - Run a part of the test suite. All tests can't be run as some dependencies
      are not in Debian.
  * debian/tests/: Run the same subset of tests also for the installed package.
  * Remove debian/menu because it's redundant with .desktop (Policy §9.6).
  * debian/copyright:
    - Update home page URL.
    - Add myself to the debian/ paragraph.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Thu, 18 Jul 2019 21:16:29 +0300

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,32 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Hugo Lefeuvre <hle@debian.org>
-Build-Depends: debhelper (>= 9),
+Uploaders: Hugo Lefeuvre <hle@debian.org>,
+           Juhani Numminen <juhaninumminen0@gmail.com>
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python-all (>= 2.6.6-3~)
-Standards-Version: 3.9.7
-Homepage: http://pysolfc.sourceforge.net/
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/pysolfc.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-games/pysolfc.git
+               python3-all,
+               python3-configobj,
+               python3-pygame,
+               python3-random2,
+               python3-six,
+               python3-tk
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
+Homepage: https://pysolfc.sourceforge.io/
+Vcs-Browser: https://salsa.debian.org/games-team/pysolfc
+Vcs-Git: https://salsa.debian.org/games-team/pysolfc.git
 
 Package: pysolfc
 Architecture: all
-Depends: python-configobj,
-         python-pygame,
-         python-tk,
+Depends: python3-configobj,
+         python3-pygame,
+         python3-random2,
+         python3-six,
+         python3-tk,
          ${misc:Depends},
-         ${python:Depends}
-Recommends: python-imaging-tk,
-            tk-tile (>= 0.8.0)
+         ${python3:Depends}
+Recommends: python3-pil.imagetk
 Suggests: freecell-solver-bin,
           pysolfc-cardsets
 Description: collection of more than 1000 solitaire card games

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS = --install-scripts /usr/share/games/pysolfc \
                              --install-lib /usr/share/games/pysolfc

%:
	dh $@ --with python3 --buildsystem=pybuild

# In this context, 'rules' are solitaire game rules in html form.
# 'all_games.html' does require the rules to be built first.
# 'make mo' builds localization and the rest is handled by pybuild.
override_dh_auto_build:
	make rules
	cd data/html && PYTHONPATH=../.. ../../scripts/all_games.py html id rules/ > all_games.html
	make mo
	dh_auto_build

override_dh_install:
	dh_install
	# Avoid conflicting with the separate package pysolfc-cardsets.
	rm -r debian/pysolfc/usr/share/games/pysolfc/cardset-hanafuda-200-years/
	# We install the docs to /usr/share/doc using dh_install, so we need to
	# rm the original directory, and later on dh_link will create a symlink.
	rm -r debian/pysolfc/usr/share/games/pysolfc/html/

# Only run import tests for now. Missing deps for running the full suite:
# python3-pycotap, python3-flake8-import-order, libtest-trailingspace-perl,
# libcode-tidyall-plugin-flake8-perl
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	TEST_TAGS=SKIP_PY2 python3 scripts/gen_individual_importing_tests.py
	PYTHONPATH=. prove tests/individually-importing/*.py
endif

=== debian/tests/control ===
Tests: importing
Restrictions: superficial, allow-stderr, rw-build-tree

=== debian/watch ===
version=4
https://sf.net/pysolfc/ \
    PySolFC-@ANY_VERSION@@ARCHIVE_EXT@

# 'ignore' means that the version number of this tarball is ignored
opts="component=cardsets" \
https://sf.net/pysolfc/ \
    PySolFC-Cardsets--Minimal-@ANY_VERSION@@ARCHIVE_EXT@ ignore

## pysolfc 3.0.0

=== debian/changelog ===
pysolfc (3.0.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 3.0.0 (Closes: #1008708)
  * Refresh patch
  * Simply use pytest for testing

  [ Bastian Germann ]
  * Remove retired Uploader (Closes: #1050280)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 30 Jul 2024 22:48:22 +0200

pysolfc (2.10.1-1) unstable; urgency=medium

  * New upstream version 2.10.1.
    - Hanafuda card stacks have been fixed (Closes: #859047).
  * debian/patches: Refresh patches for new upstream release, remove merged ones
  * debian/control:
    - Add build-depends python3-setuptools and python3-attr.
    - Add build-depends and depends python3-pysol-cards.
    - Bump policy to 4.5.1.
  * Switch to debhelper-compat 13. "nocheck" test can be dropped in d/rules.
  * debian/rules:
    - Run unit tests.
    - override_dh_auto_build: Utilize upstream Makefile more.
  * Path usr/share/games/pysolfc/html must not be symlink to usr/share/doc/...
    The game will not function if the files are removed (Policy §12.3).
    Remove /usr/share/doc/pysolfc/html because dpkg makes it hard to keep both
    paths while changing symlink to dir.
  * Remove debian/doc-base. No HTML docs in /usr/share/doc anymore
    (lintian: doc-base-file-references-wrong-path).
  * debian/docs: Update list of useful documentation.
  * debian/clean: Update comments, add po/de.po.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Fri, 27 Nov 2020 18:00:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,23 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Hugo Lefeuvre <hle@debian.org>,
-           Juhani Numminen <juhaninumminen0@gmail.com>
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
+Uploaders: Juhani Numminen <juhaninumminen0@gmail.com>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               python-is-python3,
                python3-all,
+               python3-attr,
                python3-configobj,
+               python3-flake8-import-order <!nocheck>,
                python3-pygame,
+               python3-pytest <!nocheck>,
+               python3-pysol-cards,
                python3-random2,
+               python3-setuptools,
                python3-six,
                python3-tk
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://pysolfc.sourceforge.io/
 Vcs-Browser: https://salsa.debian.org/games-team/pysolfc
 Vcs-Git: https://salsa.debian.org/games-team/pysolfc.git
@@ -22,11 +27,14 @@
 Architecture: all
 Depends: python3-configobj,
          python3-pygame,
+         python3-pysol-cards,
          python3-random2,
          python3-six,
          python3-tk,
          ${misc:Depends},
          ${python3:Depends}
+Breaks: pysolfc-cardsets (<< 3.0~)
+Repalces: pysolfc-cardsets (<< 3.0~)
 Recommends: python3-pil.imagetk
 Suggests: freecell-solver-bin,
           pysolfc-cardsets

## pysolfc 3.1.0

=== debian/changelog ===
pysolfc (3.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.1.0
  * Refresh patches

 -- Alexandre Detiste <tchet@debian.org>  Mon, 21 Oct 2024 00:31:06 +0200

pysolfc (3.0.0-2) unstable; urgency=medium

  * Team upload.
  * Patch-out last user of python3-random2

 -- Alexandre Detiste <tchet@debian.org>  Sat, 14 Sep 2024 18:03:02 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
                python3-pygame,
                python3-pytest <!nocheck>,
                python3-pysol-cards,
-               python3-random2,
                python3-setuptools,
                python3-six,
                python3-tk
@@ -28,7 +27,6 @@
 Depends: python3-configobj,
          python3-pygame,
          python3-pysol-cards,
-         python3-random2,
          python3-six,
          python3-tk,
          ${misc:Depends},

## pysolfc 3.2.0

=== Makefile ===
# Makefile for PySolFC

ifeq ($(OS),Windows_NT)
	path_sep = ;
else
	path_sep = :
endif
export PYTHONPATH := $(PYTHONPATH)$(path_sep)$(CURDIR)

.PHONY: all install dist rpm all_games_html rules pot mo pretest test runtest

all:
	@echo "No default target"

install:
	python3 setup.py install

dist: all_games_html rules mo
	python3 setup.py sdist

rpm: all_games_html rules mo
	python3 setup.py bdist_rpm

DOCS_DIR = docs
HTML_DIR = data/html
ALL_GAMES_HTML_BASE = all_games.html
ALL_GAMES_HTML = $(HTML_DIR)/$(ALL_GAMES_HTML_BASE)
ALL_GAMES_HTML__FOR_WEBSITE = $(DOCS_DIR)/$(ALL_GAMES_HTML_BASE)
all_games_html: $(ALL_GAMES_HTML)

$(ALL_GAMES_HTML) $(ALL_GAMES_HTML__FOR_WEBSITE): rules
	cd $(HTML_DIR) && $(CURDIR)/scripts/all_games.py html id rules > $(ALL_GAMES_HTML_BASE)
	./scripts/all_games.py html id doc/rules bare > $(ALL_GAMES_HTML__FOR_WEBSITE)

rules:
	cd html-src && ./gen-html.py
	cp -r html-src/images html-src/html
	rm -rf data/html
	mv html-src/html data

pot:
	./scripts/all_games.py gettext > po/games.pot
	xgettext --keyword=n_ --add-comments=TRANSLATORS: -o po/pysol.pot \
		pysollib/*.py pysollib/*/*.py pysollib/*/*/*.py data/pysolfc.glade
	set -e; \
	for lng in de fr pl it ru pt_BR; do \
		msgmerge --update --quiet --backup=none po/$${lng}_pysol.po po/pysol.pot; \
		msgmerge --update --quiet --backup=none po/$${lng}_games.po po/games.pot; \
	done

mo:
	set -e; \
	for lang in de fr pl it ru pt_BR; do \
		mkdir -p locale/$${lang}/LC_MESSAGES; \
		msgcat --use-first po/$${lang}_games.po po/$${lang}_pysol.po > po/$${lang}.po; \
		msgfmt --check -o locale/$${lang}/LC_MESSAGES/pysol.mo po/$${lang}.po; \
	done

pretest:
	rm -f tests/individually-importing/*.py tests/unit-generated/*.py # To avoid stray files
	python3 scripts/gen_individual_importing_tests.py

TEST_ENV_PATH = $(CURDIR)$(path_sep)$(CURDIR)/tests/lib
TEST_FILES = tests/style/*.t tests/t/*.py tests/individually-importing/*.py

test runtest: export PERL5LIB := $(PERL5LIB)$(path_sep)$(TEST_ENV_PATH)

test: pretest
	prove $(TEST_FILES)

runtest: pretest
	runprove $(TEST_FILES)

=== debian/changelog ===
pysolfc (3.2.0-2) unstable; urgency=medium

  * Team upload.
  * Run 'wrap-and-sort -ast'
  * Rewrite d/rules with newer & shorter syntax
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Add debian/salsa-ci.yml
  * Drop python3-flake8-import-order from build-dep
  * Do not install Thumbs.db crumbs

 -- Alexandre Detiste <tchet@debian.org>  Sat, 10 Jan 2026 13:49:29 +0100

pysolfc (3.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.2.0
  * Remove python3-six patch applied upstream.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 07 Apr 2025 09:57:56 +0200

pysolfc (3.1.0-2) unstable; urgency=medium

  * Team upload.
  * Finish removal of python3-six with upstream commit.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 10 Jan 2025 13:55:48 +0100

=== debian/control ===
Source: pysolfc
Section: games
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Juhani Numminen <juhaninumminen0@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python-is-python3,
 python3-all,
 python3-attr,
 python3-configobj,
 python3-pygame,
 python3-pysol-cards,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-tk,
Standards-Version: 4.7.3
Homepage: https://pysolfc.sourceforge.io/
Vcs-Browser: https://salsa.debian.org/games-team/pysolfc
Vcs-Git: https://salsa.debian.org/games-team/pysolfc.git

Package: pysolfc
Architecture: all
Depends:
 python3-configobj,
 python3-pygame,
 python3-pysol-cards,
 python3-tk,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 pysolfc-cardsets (<< 3.0~),
Replaces:
 pysolfc-cardsets (<< 3.0~),
Recommends:
 python3-pil.imagetk,
Suggests:
 freecell-solver-bin,
 pysolfc-cardsets,
Description: collection of more than 1000 solitaire card games
 There are games that use the 52 card International Pattern deck,
 games for the 78 card Tarock deck, eight and ten suit Ganjifa games,
 Hanafuda games, Matrix games, Mahjongg games, and games for an original
 hexadecimal-based deck.
 .
 Its features include modern look and feel (uses Ttk widget set),
 multiple cardsets and tableau backgrounds, sound, unlimited undo,
 player statistics, a hint system, demo games, a solitaire wizard,
 support for user written plug-ins, an integrated HTML help browser,
 and lots of documentation.
 .
 PySolFC is a fork of PySol Solitaire.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS = --install-scripts /usr/share/games/pysolfc \
                              --install-lib /usr/share/games/pysolfc
export PYBUILD_TEST_ARGS = -k 'not test_main'

%:
	dh $@ --buildsystem=pybuild

# In this context, 'rules' are solitaire game rules in html form,
# 'all_games_html' is an index of the games, and 'mo' builds localization.
# The rest is handled by pybuild.
execute_before_dh_auto_build:
	$(MAKE) rules all_games_html mo

execute_after_dh_install:
	# Avoid conflicting with the separate package pysolfc-cardsets.
	rm -r debian/pysolfc/usr/share/games/pysolfc/cardset-hanafuda-200-years/
	find debian -name Thumbs.db -print -delete

=== debian/tests/control ===
Tests:
 importing,
Restrictions:
 allow-stderr,
 rw-build-tree,
 superficial,
